
# Connaissant l'entrait, l'angle alpha et la largeur du poinçon
# on calcule l'arbalétrier, le poinçon, l'arbalétrier - la largeur du poinçon

from math import *

def calculs_charpente(entrait, alpha, lp):

    alpha_rad = alpha*2*pi/360
    beta_rad =(90-alpha)*2*pi/360

    arbaletrier = 0.5 * entrait / cos(alpha_rad)
    poincon = arbaletrier * sin(alpha_rad)
    arbaletrier_poincon = arbaletrier - lp

    return arbaletrier, poincon, arbaletrier_poincon

if __name__ == '__main__':

    print("Calcul de charpente")
    entrait = input("longueur de l'entrait : ")
    alpha = input('angle alpha (en degré - 0-89°): ')
    lpoincon = input("largeur du poinçon : ")

    arbaletrier, poincon, arbaletrier_poincon = calculs_charpente(float(entrait), float(alpha), float(lpoincon))

    print(f'arbaletrier = {round(arbaletrier, 2)}m')
    print(f'poincon = {round(poincon, 2)}m')
    print(f'arbaletrier - largeur du poinçon = {round(arbaletrier_poincon, 2)}m')


